<?php
    include("../../php_scripts/connect_database.php");
    include ("../php_scripts/function_share.php");
    //phpinfo();
    //die();
    //Create function write CSV is for PHP version low 5.0.0
    function fputcsv2 ($fh, $fields, $delimiter = ',', $enclosure = '"', $mysql_null = false) {
        $delimiter_esc = preg_quote($delimiter, '/');
        $enclosure_esc = preg_quote($enclosure, '/');

        $output = array();
        foreach ($fields as $field) {
            if ($field === null && $mysql_null) {
                $output[] = 'NULL';
                continue;
            }

            $output[] = preg_match("/(?:${delimiter_esc}|${enclosure_esc}|\s)/", $field) ? (
                $enclosure . str_replace($enclosure, $enclosure . $enclosure, $field) . $enclosure
            ) : $field;
        }

        fwrite($fh, join($delimiter, $output) . "\n");
    }

    /*CSV Begin*/
    $db_dpis2 = new connect_dpis($dpisdb_host, $dpisdb_name, $dpisdb_user, $dpisdb_pwd);
    ini_set("max_execution_time",0);
    ini_set("memory_limit","9999M"); 
    
    
    if(($SESS_GROUPCODE == "BUREAU" || substr($SESS_GROUPCODE, 0, 7) == "BUREAU_" ) || $SESS_USERGROUP==3 && trim($SESS_PER_ID)){
        $arr_search_condition[] = "( a.PER_ID = $SESS_PER_ID or a.PER_ASSID_1 = $SESS_PER_ID or a.PER_ASSID_2 = $SESS_PER_ID )";
    }
    
    if($search_org_id){
        $arr_search_condition[] = "(b.ORG_ID = $search_org_id)";
    }
    
    if(trim($search_per_name)){
        $arr_search_condition[] = "(a.PER_NAME like '%$search_per_name%')";
    }   
    if(trim($search_per_surname)){
        $arr_search_condition[] = "(a.PER_NAME like '%$search_per_surname%')";
    }
    
    if ($SESS_PER_ID){
        if($search_onlyme_flag==1){
            $arr_search_condition[] = "(a.PER_ID = $SESS_PER_ID)";
        }
    }
    
    if ($search_per_type){
        $arr_search_condition[] = "(trim(b.PER_TYPE) = $search_per_type)";
    }else if ($search_per_type==0)	{	//
        $arr_search_condition[] = "(trim(b.PER_TYPE) in('1','2','3','4')) ";
    }
    
    if ($search_work_desc){
        $arr_search_condition[] = "(a.WORK_DESC like '%$search_work_desc%')";
    }
    
    // SORT -----------------------
    if(!$sort_by) $sort_by=1;
    $sort_type = (isset($sort_type))?  $sort_type : "1:desc";
    $arrSort=explode(":",$sort_type);
    $SortType[$arrSort[0]]=$arrSort[1];

    if(!$order_by) $order_by=1;

    if($order_by==1){
        $order_str = "a.PER_NAME ".$SortType[$order_by];
    }elseif($order_by==2){
        $order_str = "a.WORK_DESC ".$SortType[$order_by];
    } elseif($order_by==3) {
        $order_str = "a.GOAL_DESC ".$SortType[$order_by]; 	
    } elseif($order_by==4) {
        $order_str =  "a.END_DATE  ".$SortType[$order_by].", a.CREATE_DATE ".$SortType[$order_by];
    }
    //--------------------------------
    
    $search_condition = "";
    if(count($arr_search_condition)) $search_condition = " and " . implode(" and ", $arr_search_condition);
    $sel_cmd = " SELECT  a.WH_ID ,a.PER_ID,
                        CASE b.PER_TYPE 
                             WHEN 1 THEN 'Ҫ' 
                             WHEN 2 THEN '١ҧШ' 
                             WHEN 3 THEN 'ѡҹҪ' 
                             WHEN 4 THEN  '١ҧǤ' 
                             ELSE '' 
                        END AS PER_TYPE,
                        a.PER_NAME, org.ORG_NAME,  SUBSTR(a.CREATE_DATE,0,10) AS CREATE_DATE, a.WORK_DESC, a.GOAL_DESC, SUBSTR(wd.CREATE_DATE,0,10) AS CREATE_DETAIL, wd.DO_DESC, 
                        CASE WHEN  (wd.DO_FLAG IS null or wd.DO_FLAG=0) THEN  'ѧԹ'
                             ELSE  ''
                        END AS STATUS  , wd.DO_FLAG, 
                        CASE a.WORK_FLAG 
                            WHEN '1' THEN ''
                            ELSE 'ѧԹ' 
                        END AS WORK_FLAG, a.PERASS_NAME_2
                FROM
                    PER_WORKHOME a , PER_PERSONAL b , PER_WORKHOME_DTL wd, PER_ORG_ASS org
                WHERE   a.PER_ID=b.PER_ID(+) AND
                        b.org_id=org.org_id(+) and 
                        a.WH_ID=wd.WH_ID(+)
                        $search_condition
                ORDER BY $order_str , a.CREATE_DATE ASC, wd.CREATE_DATE ASC ";
    
    
    
    $count_data = $db_dpis->send_cmd($sel_cmd);
    $data = $db_dpis->get_array();
    $data = array_change_key_case($data, CASE_LOWER);
    
    //die();
    $filename_csv="rpt_work_from_home.csv";  
    header('Content-Type: text/csv; charset=utf-8');
    header('Content-Disposition: attachment; filename='.$filename_csv); 
    $output = fopen('php://output', 'w'); 
    $heading_text=array('ӴѺ','ؤҡ', '-ʡ', 'ӹѡ/ͧ', 'ѹѹ֡', 'ҹѺͺ', 'ҹҴҨ', 'ʶҹ', 'ѹѹ֡ŧҹ', 'ŧҹԹ', 'ʶҹмŧҹ', 'ͼѧѺѭ');
    $column_name=$heading_text;

    if (version_compare(PHP_VERSION, '5.0.0', '<')) {
        // php version isn't high enough
        fputcsv2($output, $column_name);
    }else{
        fputcsv($output, $column_name);
    }

    $db_dpis2->send_cmd($sel_cmd); 
    $counter=0;
    while($datax = $db_dpis2->get_array()){
        
        $TMP_WH_ID = $datax[WH_ID];
        $TMP_PER_ID = $datax[PER_ID];
        $TMP_PER_TYPE = $datax[PER_TYPE];
        $TMP_PER_NAME = $datax[PER_NAME];
        $TMP_ORG = $datax[ORG_NAME];
        if($datax[CREATE_DATE]){
            $TMP_CREATE_DATE = explode('-', $datax[CREATE_DATE]);
            $TMP_CREATE_DATE = $TMP_CREATE_DATE[2].'-'.$TMP_CREATE_DATE[1].'-'.$TMP_CREATE_DATE[0];
        } else {
            $TMP_CREATE_DATE = '';
        }
        $TMP_WORK_DESC = $datax[WORK_DESC];
        $TMP_GOAL_DESC = $datax[GOAL_DESC];
        $TMP_WORK_FLAG = $datax[WORK_FLAG];
        if($datax[CREATE_DETAIL]){
            $TMP_CREATE_DETAIL = explode('-', $datax[CREATE_DETAIL]);
            $TMP_CREATE_DETAIL = $TMP_CREATE_DETAIL[2].'-'.$TMP_CREATE_DETAIL[1].'-'.$TMP_CREATE_DETAIL[0];
        } else {
            $TMP_CREATE_DETAIL = '';
        }
        $TMP_DO_DESC = $datax[DO_DESC];
        $TMP_STATUS = $datax[STATUS];
        $TMP_PERASS_NAME_2 = $datax[PERASS_NAME_2];
        if($TMP_WH_ID!=$T_TMP_WH_ID){
            $T_TMP_WH_ID=$TMP_WH_ID; 
            $counter++;
            $cnt = $counter;
        }else{ 
            $cnt = '';
        } 
        $arr_data = (array) null;
        $arr_data[] = $cnt;
        $arr_data[] = $TMP_PER_TYPE;
        $arr_data[] = $TMP_PER_NAME;
        $arr_data[] = $TMP_ORG;
        $arr_data[] = $TMP_CREATE_DATE;
        $arr_data[] = $TMP_WORK_DESC;
        $arr_data[] = $TMP_GOAL_DESC;
        $arr_data[] = $TMP_WORK_FLAG;
        $arr_data[] = $TMP_CREATE_DETAIL;
        $arr_data[] = $TMP_DO_DESC;
        $arr_data[] = $TMP_STATUS;
        $arr_data[] = $TMP_PERASS_NAME_2;
        
        if (version_compare(PHP_VERSION, '5.0.0', '<')) {
            // php version isn't high enough
            fputcsv2($output, $arr_data);
        }else{
            fputcsv($output, $arr_data);
        }
    }
    /*CSV End*/
?>